FROM rust:slim

WORKDIR /opt

# Install needed dependecies 

RUN echo "deb http://ftp.de.debian.org/debian unstable main contrib" | tee -a /etc/apt/sources.list

RUN apt-get update && apt-get install -y libmysql++-dev git

RUN git clone https://git.42l.fr/neil/sncf.git

WORKDIR /opt/sncf

COPY config.toml /opt/sncf/config.toml

# graphics individualization

COPY Digi_3corner_up.png /opt/sncf/templates/assets/logo.svg

COPY white-background.png /opt/sncf/templates/assets/index-background.png

COPY Digi_3corner.png /opt/sncf/templates/assets/flavicon.ico

COPY index.css /opt/sncf/templates/assets/index.css

COPY index.html /opt/sncf/templates/index.html

COPY link.html /opt/sncf/templates/link.html

COPY forward.rs /opt/sncf/src/forward.rs

#COPY templates.rs /opt/sncf/src/templates.rs

# The written is just firstly a hack

COPY lang.json /opt/sncf/lang.json

CMD cargo run --no-default-features --features mysql



